Bug 98037 - SIDEBAR: Replacing 'Speed' drop downs with comboboxes or spinboxes
Summary: SIDEBAR: Replacing 'Speed' drop downs with comboboxes or spinboxes
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
5.2.0.0.alpha0+
Hardware: All All
: medium enhancement
Assignee: Akshay Deep
URL:
Whiteboard: target:5.2.0
Keywords:
Depends on:
Blocks: Sidebar-Custom-Animation Sidebar-Slide-Transition
  Show dependency treegraph
 
Reported: 2016-02-20 22:41 UTC by Yousuf Philips (jay)
Modified: 2016-10-24 16:27 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
sample (35.86 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2016-02-20 22:41 UTC, Yousuf Philips (jay)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) 2016-02-20 22:41:33 UTC
Created attachment 122830 [details]
sample

In Impress's slide transition and custom animations sidebar tabs we have preset values for speed in drop down menus which provides a simple means of setting the speed, but it makes it impossible for users to set their own custom value and also makes custom values set in other apps imported in as the value isnt preserved.

An example of this can be seen in the attached file, which has slide 1 set to a speed of 4 seconds and Impress resets this to Slow (aka 1 second) and 'Rectangle 3' which has a custom animation speed of 4 seconds appears with a blank speed value.

So i'd suggest we change this to a combobox where we can include preset values and also allow the user to set their own value. Alternatively, we can go with spinbox which advances by 0.25 seconds.
Comment 1 Akshay Deep 2016-02-24 11:49:24 UTC
Starting to work on the patch, the dropdown is named "Speed" and what it sets is duration. When we give custom values, lesser value of duration will give greater speed.
Preset Value: Very Fast (0.5) Fast (1) Medium(2) Slow(3) Very Slow(5).

Keeping widget name 'speed' will be misleading, user will think higher value means higher speed.

What I suggest is to rename the widget "Duration" and add a tooltip that it sets animation time in seconds.
Comment 2 Yousuf Philips (jay) 2016-02-24 12:26:27 UTC
Yes "Duration" is a more suitable name for the label.
Comment 3 Akshay Deep 2016-02-29 18:28:14 UTC
Besides replacing the Duration Combobox in Custom Animation Sidebar Panel, we would also have to replace same Combobox in Effect Options Dialog.. accessible from Custom Animation sidebar panel -> Settings Button (Aligned with Direction Label).
Comment 4 Yousuf Philips (jay) 2016-02-29 18:57:35 UTC
Yes there are three instances of the speed drop down that need to be replaced. One in the slide transition tab and two in the custom animation tab.
Comment 5 Commit Notification 2016-04-26 15:39:19 UTC
Akshay Deep committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=35aded0e43c74f920dfa6960323506599257264e

tdf#98037 - SIDEBAR: Replacing 'Speed' drop downs with comboboxes (2)

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2016-04-28 07:53:23 UTC
Akshay Deep committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d3d546a8e15c96a97dbad986e73665201b02a85c

tdf#98037 - SIDEBAR: Replacing 'Speed' drop downs with comboboxes

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2016-04-29 10:21:10 UTC
Akshay Deep committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d6ffb7405d3267f1e76aed7a5e3162b8700f6817

tdf#98037 SIDEBAR: Replacing 'Speed' drop downs with comboboxes (2)

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.